﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace TabView
{
    public class FifthContentViewModel
    {
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }

        private ObservableCollection<string> pickerCollection1;
        public ObservableCollection<string> PickerCollection1
        {
            get { return pickerCollection1; }
            set
            {
                pickerCollection1 = value;
                OnPropertyChanged("PickerCollection1");
            }
        }

        private ObservableCollection<string> bookCollection1;

        public ObservableCollection<string> BookCollection1
        {
            get { return bookCollection1; }
            set
            {
                bookCollection1 = value;
                OnPropertyChanged("BookCollection1");
            }
        }

        private object selectedItem1;

        public object SelectedItem1
        {
            get { return selectedItem1; }
            set
            {
                selectedItem1 = value;
                OnPropertyChanged("SelectedItem1");
            }
        }

        public FifthContentViewModel()
        {
            pickerCollection1 = new ObservableCollection<string>();
            bookCollection1 = new ObservableCollection<string>();
            pickerCollection1.Add("Computer Science Using Python");
            pickerCollection1.Add("Computer Hardware & Software");
            pickerCollection1.Add("Java Scripts");
            pickerCollection1.Add("Computing System");
            pickerCollection1.Add("Pragmatic Programmer");
            selectedItem1 = pickerCollection1[3];
            GenerateListCollection();
        }

        internal void GenerateListCollection()
        {
            bookCollection1.Clear();
            if (this.selectedItem1.ToString() == "Computer Science Using Python")
            {
                bookCollection1.Add("Introduction to Computer Science Using Python: A Computational Problem-Solving Focus,recommended by Guido van Rossum, the creator of Python (â€œThis is not your average Python bookâ€¦I think this book is a great text for anyone teaching CS1â€). ");
                bookCollection1.Add("With a focus on computational problem solving from Chapter 1, this text provides numerous hands-on exercises and examples, each chapter ending with a significant-size program demonstrating the step-by-step process of program development, testing, and debugging.");
                bookCollection1.Add("A final chapter includes the history of computing, starting with Charles Babbage, containing over 65 historical images.");
            }
            else if (this.selectedItem1.ToString() == "Computer Hardware & Software")
            {
                bookCollection1.Add("What do flashlights, the British invasion, black cats, and seesaws have to do with computers? In CODE, they show us the ingenious ways we manipulate language and invent new means of communicating with each other.");
                bookCollection1.Add("And through CODE, we see how this ingenuity and our very human compulsion to communicate have driven the technological innovations of the past two centuries.");
                bookCollection1.Add("Using everyday objects and familiar language systems such as Braille and Morse code, author Charles Petzold weaves an illuminating narrative for anyone whoâ€™s ever wondered about the secret inner life of computers and other smart machines.");
            }
            else if (this.selectedItem1.ToString() == "Java Scripts")
            {
                bookCollection1.Add("Most programming languages contain good and bad parts, but JavaScript has more than its share of the bad, having been developed and released in a hurry before it could be refined.");
                bookCollection1.Add("This authoritative book scrapes away these bad features to reveal a subset of JavaScript that's more reliable, readable, and maintainable than the language ");
                bookCollection1.Add("Considered the JavaScript expert by many people in the development community, author Douglas Crockford identifies the abundance of good ideas that make JavaScript an outstanding object-oriented programming language-ideas such as functions, loose typing, dynamic objects, and an expressive object literal notation. ");
                bookCollection1.Add("Unfortunately, these good ideas are mixed in with bad and downright awful ideas, like a programming model based on global variables.");
            }
            else if (this.selectedItem1.ToString() == "Computing System")
            {
                bookCollection1.Add("In the early days of computer science, the interactions of hardware, software, compilers, and operating system were simple enough to allow students to see an overall picture of how computers worked. ");
                bookCollection1.Add("With the increasing complexity of computer technology and the resulting specialization of knowledge, such clarity is often lost.");
                bookCollection1.Add("Computing Systems gives students an integrated and rigorous picture of applied computer science, as its comes to play in the construction of a simple yet powerful computer system");
                bookCollection1.Add("Indeed, the best way to understand how computers work is to build one from scratch, and this textbook leads students through twelve chapters and projects that gradually build a basic hardware platform and a modern software hierarchy from the ground up.");
            }
            else
            {
                bookCollection1.Add("What others in the trenches say about The Pragmatic Programmer The cool thing about this book is that it's great for keeping the programming process fresh");
                bookCollection1.Add("I found this book to be a great mix of solid advice and wonderful analogies!--Martin Fowler, author of Refactoring and UML Distilled I would buy a copy, read it twice, then tell all my colleagues to run out and grab a copy.");
                bookCollection1.Add("The topics presented are relevant and useful...By far its greatest strength for me has been the outstanding analogies--tracer bullets, broken windows, and the fabulous helicopter-based explanation of the need for orthogonality, especially in a crisis situation.");
                bookCollection1.Add("Most modern books on software development fail to cover the basics of what makes a great software developer, instead spending their time on syntax or technology where in reality the greatest leverage possible for any software team is in having talented developers who really know their craft well.");
            }
        }
    }
}
