﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace TabView
{
    public class FirstContentViewModel : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }

        private ObservableCollection<Model> bookCollection;

        public ObservableCollection<Model> BookCollection
        {
            get { return bookCollection; }
            set 
            {
                bookCollection = value; 
                OnPropertyChanged("BookCollection");
            }
        }

        private ObservableCollection<Model> offers;

        public ObservableCollection<Model> Offers
        {
            get { return offers; }
            set 
            {
                offers = value;
                OnPropertyChanged("Offers");
            }
        }


        public FirstContentViewModel()
        {
            bookCollection = new ObservableCollection<Model>();
            offers = new ObservableCollection<Model>();
            offers.Add(new Model() { IMG_Url = "Friends_Toy.jpg" });
            offers.Add(new Model() { IMG_Url = "Mario.jpg" });
            offers.Add(new Model() { IMG_Url = "minion.jpg" });
            offers.Add(new Model() { IMG_Url = "Robot.jpg" });
            offers.Add(new Model() { IMG_Url = "Train.jpg" });
            offers.Add(new Model() { IMG_Url = "Van.jpg" });
            GenerateListCollection();
        }

        internal void GenerateListCollection()
        {
           bookCollection.Add(new Model() { Name = "C is a general - purpose, procedural computer programming language supporting structured programming, lexical variable scope, and recursion, with a static type system", Price = "$130.00" });
           bookCollection.Add(new Model() { Name = "By design, C provides constructs that map efficiently to typical machine instructions.", Price = "$3524.120" });
           bookCollection.Add(new Model() { Name = "It has found lasting use in applications previously coded in assembly language. Such applications include operating systems and various application software for computer architectures that range from supercomputers to PLCs and embedded systems.", Price = "$3524.120" });
           bookCollection.Add(new Model() { Name = "It was designed to be compiled to provide low-level access to memory and language constructs that map efficiently to machine instructions, all with minimal runtime support", Price = "$143.120" });
           bookCollection.Add(new Model() { Name = "Despite its low-level capabilities, the language was designed to encourage cross-platform programming.", Price = "$724.120" });
           bookCollection.Add(new Model() { Name = "Like most procedural languages in the ALGOL tradition, C has facilities for structured programming and allows lexical variable scope and recursion.", Price = "$224.120" });
           bookCollection.Add(new Model() { Name = "Its static type system prevents unintended operations.", Price = "$1524.120" });
        }
    }

    public class Model
    {
        public string Name { get; set; }
        public string Price { get; set; }

        public string IMG_Url  { get; set; }
    }
}
