﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace TabView
{
    public class SecondContentViewModel
    {
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }

        private ObservableCollection<Model1> bookCollection;

        public ObservableCollection<Model1> BookCollection
        {
            get { return bookCollection; }
            set
            {
                bookCollection = value;
                OnPropertyChanged("BookCollection");
            }
        }

        private ObservableCollection<Model1> offers;

        public ObservableCollection<Model1> Offers
        {
            get { return offers; }
            set
            {
                offers = value;
                OnPropertyChanged("Offers");
            }
        }


        public SecondContentViewModel()
        {
            bookCollection = new ObservableCollection<Model1>();
            offers = new ObservableCollection<Model1>();
            offers.Add(new Model1() { IMG_Url = "Robot.jpg" });
            offers.Add(new Model1() { IMG_Url = "minion.jpg" });
            offers.Add(new Model1() { IMG_Url = "Train.jpg" });
            offers.Add(new Model1() { IMG_Url = "Van.jpg" }); 
            offers.Add(new Model1() { IMG_Url = "Friends_Toy.jpg" });
            offers.Add(new Model1() { IMG_Url = "Mario.jpg" });
           
            GenerateListCollection();
        }

        internal void GenerateListCollection()
        {
            bookCollection.Add(new Model1() { Name = "C Programming", Price = "$230.00" });
            bookCollection.Add(new Model1() { Name = "Java Programming", Price = "$524.120" });
            bookCollection.Add(new Model1() { Name = "Java", Price = "$1003.120" });
            bookCollection.Add(new Model1() { Name = "Visual Basic", Price = "$123.120" });
            bookCollection.Add(new Model1() { Name = ".Net Programming.", Price = "$124.120" });
            bookCollection.Add(new Model1() { Name = "Unix System", Price = "$204.120" });
            bookCollection.Add(new Model1() { Name = "Computer Graphics", Price = "$524.120" });
        }
    
    }

    public class Model1
    {
        public string Name { get; set; }
        public string Price { get; set; }

        public string IMG_Url { get; set; }
    }
}
